#include "modifiercaisse.h"
#include "ui_modifiercaisse.h"
#include"caisse.h"
#include"qsystemtrayicon.h"
#include"smtp.h"
modifiercaisse::modifiercaisse(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::modifiercaisse)
{
    ui->setupUi(this);
}

modifiercaisse::~modifiercaisse()
{
    delete ui;
}

void modifiercaisse::on_pb_modifier_clicked()
{

    int numero= ui->lineEdit->text().toInt();
    int    etat=ui->lineEdit_2->text().toInt();
      bool test=tmpcaisse.modifier(numero,etat);
      if(test)
      {
          Smtp* s = new Smtp( "hajmoussa2368@gmail.com", "Hm123456", "smtp.gmail.com", 465 );
          s->sendMail("hajmoussa2368@gmail.com","youssef.ghedas@esprit.tn","une caisse a été modifier avec succés","Mr youssef");
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Succés","une caisse a été modifier avec succés",QSystemTrayIcon::Warning,10000);
          hide();

      }
      else
      {
          notifier = new QSystemTrayIcon(this);
          notifier->setIcon(QIcon("notification.png"));
          notifier->show();
          notifier->showMessage("Echec!","La caisse n'a pas pu etre modifié",QSystemTrayIcon::Warning,10000);
      }

}

